DataFrameSelect< T > Class Template Reference

`#include <rcpp_table.h>`

## Public Member Functions

| DataFrameSelect (const DataFrame &df, int i=0)
| DataFrameSelect (const DataFrame &df, string name)
T | operator[] (int i)
int | size ()

## Public Attributes

Vector< Rcpp::traits::r_sexptype_traits< T >::rtype > | data

## Detailed Description

### template<class T>
class DataFrameSelect< T >

Definition at line 120 of file rcpp_table.h.

## Constructor & Destructor Documentation

## DataFrameSelect() [1/2]

template<class T >

DataFrameSelect< T >::DataFrameSelect | ( | const DataFrame & | df,
|  | int | i = `0`
| ) |  |

inline

Definition at line 123 of file rcpp_table.h.

## DataFrameSelect() [2/2]

template<class T >

DataFrameSelect< T >::DataFrameSelect | ( | const DataFrame & | df,
|  | string | name
| ) |  |

inline

Definition at line 126 of file rcpp_table.h.

## Member Function Documentation

## operator[]()

template<class T >

T DataFrameSelect< T >::operator[] | ( | int | i | ) |

inline

Definition at line 129 of file rcpp_table.h.

## size()

template<class T >

int DataFrameSelect< T >::size | ( |  | ) |

inline

Definition at line 132 of file rcpp_table.h.

## Member Data Documentation

## data

template<class T >

Vector<Rcpp::traits::r_sexptype_traits<T>::rtype> DataFrameSelect< T >::data

Definition at line 122 of file rcpp_table.h.

The documentation for this class was generated from the following file:

- /home/marcle/src/R/microsimulation/inst/include/rcpp_table.h